Avro C#

Public Member Functions | List of all members
Avro.IO.ICallback< in in T > Interface Template Reference

Obsolete - This will be removed from the public API in a future version. More...

## Public Member Functions
void | HandleResult (T result)
| Receives a callback result. More...
void | HandleException (Exception exception)
| Receives an error. More...

## Detailed Description

Obsolete - This will be removed from the public API in a future version.

Template Parameters

  T |

## Member Function Documentation

## ◆ HandleException()

void Avro.IO.ICallback< in in T >.HandleException | ( | Exception | exception | ) |

Receives an error.

Parameters

  exception | Error returned in the callback.

## ◆ HandleResult()

void Avro.IO.ICallback< in in T >.HandleResult | ( | T | result | ) |

Receives a callback result.

Parameters

  result | Result returned in the callback.

The documentation for this interface was generated from the following file:

- src/apache/main/IO/ICallback.cs